Repeats a given function at every given time-interval.

- « Swoole\Timer::exists

- Swoole\WebSocket\Frame »

- PHP Manual
- Swoole\Timer
- Repeats a given function at every given time-interval.

# Swoole\Timer::tick

(PECL swoole >= 1.9.0)

Swoole\Timer::tick — Repeats a given function at every given time-interval.

### Description

public static Swoole\Timer::tick(int `$interval_ms`, callable `$callback`, string `$param` = ?): void

### Parameters

`interval_ms`

`callback`

`param`

### Return Values